Is your feature request related to a problem? Please describe.
when we search a number, what we’ll do is we’ll start at the root, and then we will compare the value to be searched with the value of the root if it’s equal we are done with the search if it’s lesser we know that we need to go to the left subtree because in a binary search tree all the elements in the left subtree are lesser and all the elements in the right subtree are greater. Searching an element in the binary search tree is basically this traversal in which at each step we will go either towards left or right
and hence in at each step we discard one of the sub-trees.
Describe the solution you'd like
A clear and concise description of what you want to happen.
I will be using C++ language sir.
Programming language
[ ] C
[x] C++
[ ] Java
[ ] Python
please assign this issue to me sir, I would like to work on this @Ayush7614 sir.
Im preparing for my coding interviews and it would really help me if you assign this question to me
Kindly assign me this
I have immense intrest in coding
Is your feature request related to a problem? Please describe.
when we search a number, what we’ll do is we’ll start at the root, and then we will compare the value to be searched with the value of the root if it’s equal we are done with the search if it’s lesser we know that we need to go to the left subtree because in a binary search tree all the elements in the left subtree are lesser and all the elements in the right subtree are greater. Searching an element in the binary search tree is basically this traversal in which at each step we will go either towards left or right and hence in at each step we discard one of the sub-trees.
Describe the solution you'd like A clear and concise description of what you want to happen. I will be using C++ language sir.
Programming language
please assign this issue to me sir, I would like to work on this @Ayush7614 sir.